Skip to main content
GET
/
files
/
v3
/
folders
/
{folderId}
Retrieve folder by ID
curl --request GET \
  --url https://api.hubapi.com/files/v3/folders/{folderId} \
  --header 'Authorization: Bearer <token>'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "parentFolderId": "<string>",
  "path": "<string>"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

folderId
string
required

ID of desired folder

Pattern: \d+

Query Parameters

properties
string[]

Properties to set on returned folder.

Response

successful operation

archived
boolean
required

Marks whether the folder is deleted or not.

createdAt
string<date-time>
required

Timestamp of folder creation.

id
string
required

ID of the folder.

updatedAt
string<date-time>
required

Timestamp of the latest update to the folder.

archivedAt
string<date-time>

Timestamp of folder deletion.

name
string

Name of the folder.

parentFolderId
string

ID of the parent folder.

path
string

Path of the folder in the file manager.

Last modified on March 30, 2026